apiVersion: apps/v1
kind: Deployment
metadata:
  name: webapp
spec:
  selector:
    matchLabels:
      app: webapp
  replicas: 1
  template:
    metadata:
      labels:
        app: webapp
    spec:
      containers:
        - name: webapp
          image: noviantoro/angular-webapp
          ports:
            - containerPort: 80

---
apiVersion: v1
kind: Service
metadata:
  name: webapp-service
spec:
  # type: NodePort
  selector:
    app: webapp
  ports:
  - protocol: TCP
    port: 4200
    targetPort: 80
    # nodePort: 30163